<?php
class AddedAvailableSlotsFieldToTheEvSlideshowSlideshowsTable extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = 'added_available_slots_field_to_the_ev_slideshow_slideshows_table';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'create_field' => array(
				'ev_slideshow_slideshows' => array(
					'available_slots' => array('type' => 'integer', 'null' => true, 'default' => '0', 'unsigned' => false, 'after' => 'system_name'),
				),
			),
			'alter_field' => array(
				'ev_slideshow_slideshows' => array(
					'name' => array('type' => 'string', 'null' => false, 'default' => null, 'length' => 250, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
					'system_name' => array('type' => 'string', 'null' => false, 'default' => null, 'length' => 250, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
					'created' => array('type' => 'integer', 'null' => false, 'default' => null, 'unsigned' => false),
					'modified' => array('type' => 'integer', 'null' => false, 'default' => null, 'unsigned' => false),
				),
			),
		),
		'down' => array(
			'drop_field' => array(
				'ev_slideshow_slideshows' => array('available_slots'),
			),
			'alter_field' => array(
				'ev_slideshow_slideshows' => array(
					'name' => array('type' => 'string', 'null' => false, 'length' => 254, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
					'system_name' => array('type' => 'string', 'null' => false, 'length' => 254, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
					'created' => array('type' => 'datetime', 'null' => false, 'default' => null),
					'modified' => array('type' => 'datetime', 'null' => false, 'default' => null),
				),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function after($direction) {
		return true;
	}
}
