<?php
class ChangedTheDefaultValueOfTheAvailableSlotsFieldToBeMinusOne extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = 'changed_the_default_value_of_the_available_slots_field_to_be_minus_one';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'alter_field' => array(
				'ev_slideshow_slideshows' => array(
					'available_slots' => array('type' => 'integer', 'null' => true, 'default' => '-1', 'unsigned' => false),
				),
			),
		),
		'down' => array(
			'alter_field' => array(
				'ev_slideshow_slideshows' => array(
					'available_slots' => array('type' => 'integer', 'null' => true, 'default' => '0', 'unsigned' => false),
				),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function after($direction) {
		return true;
	}
}
