<div class='input slide slideshow-slide js--slide container-fluid'>
	<div class="slide-content col-xs-9" <?php if(isset($slide) && !empty($slide)) { echo "data-id='{$slide['id']}' data-sequence='{$slide['sequence']}'";} ?>>
		<?php
			if(isset($slide) && !empty($slide)) {
				echo $this->Form->input('Slide.' . $slideKey . '.id', [
					'type' => 'hidden',
					'value' => $slide['id']
				]);
			}

			if (!isset($slideKey) || empty($slideKey)) {
				$slideKey = 0;
			}

			if (isset($fields) && !empty($fields)) {
				foreach ($fields as $fieldname => $fieldSettings) {

					// fix layout of checkboxes
					if (! empty($fieldSettings['type']) && $fieldSettings['type'] == 'checkbox'):
						$fieldSettings['wrapInput'] = 'col-xs-12 col-sm-10 col-md-9 col-md-offset-3';
					endif;

					echo $this->Form->input('Slide.' . $slideKey . '.' . $fieldname, $fieldSettings);
				}
			}


			$images = [];
			if (isset($slide['Image']) && !empty($slide['Image'])) {
				$images = $slide['Image'];
			}

			echo $this->Element(
				'Forms/image_fields',
				array(
	                'imageSection' => 'main',
	                'imageSlots' => $slideImageSlots,
	                'prefix' => 'Slide.' . $slideKey . '.',
	                'model' => 'Slide',
	                'images' => $images
	            )
			);
		?>
	</div>

	<?php if(!isset($reorder) || $reorder): ?>
		<label class="reorder col-xs-1">
			&nbsp;
		</label>
	<?php endif; ?>

	<div class="slide-delete col-xs-2">
		<?php
			if(isset($slide) && !empty($slide)) {
				$url = $this->Html->url(array('controller' => 'slides', 'action'=>'remove', $slide['id'], 'ajax' => true, 'plugin' => false));
			} else {
				$url = '#';
			}

			echo '<a href="' . $url . '" class="delete-slide btn btn-sm btn-danger">';
				echo '<i class="fa fa-times"></i>';
				echo ' Delete Slide';
			echo '</a>';
		 ?>
	</div>
</div>
