<?php
	$this->extend('/Scaffolds/admin_form');

	echo $this->element('Forms/fields', array('fields' => $fields));

	// only show the slides tab when the slideshow has been saved
	// as we need to know how many slots are available
	if (! empty($this->data['Slideshow']['id'])):
		$this->append('additionalFormTabs');

		echo $this->Html->script(
			array(
				'EvSlideshow.adminSlides',
			),
			array('inline'=>false)
		);

		$slides = [];

		if (! empty($this->data['Slide'])):
			$slides = $this->data['Slide'];
		endif;

		// Handle Slides
		echo $this->element(
			'form_tab',
			array(
				'title' =>  __('Slides'),
				'tabContent' => $this->element(
					'EvSlideshow.Slides/slide_fields',
					array(
						'slideSlots' => $this->data['Slideshow']['available_slides'],
						'slides' => $slides,
						'slideFields' => $slideFields,
						'slideImageSlots' => $slideImageSlots['main']
					)
				),
				'divOptions' => array(
					'class' => 'slide-tab'
				)
			)
		);

		$this->end();
	endif;
